Bug 459312 - Review Request: perl-DateTime-Format-DateManip - Convert Date::Manip to DateTime and vice versa
Review Request: perl-DateTime-Format-DateManip - Convert Date::Manip to DateT...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jason Tibbitts
Fedora Extras Quality Assurance
http://search.cpan.org/dist/DateTime-...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-08-15 20:58 EDT by Chris Weyl
Modified: 2008-08-24 16:23 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-08-24 16:23:52 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
tibbs: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Chris Weyl 2008-08-15 20:58:13 EDT
SRPM URL: http://fedora.biggerontheinside.net/review/perl-DateTime-Format-DateManip-0.04-1.fc8.src.rpm
SPEC URL: http://fedora.biggerontheinside.net/review/perl-DateTime-Format-DateManip.spec

Description:
DateTime::Format::DateManip is a class that knows how to convert between
Date::Manip dates and durations and DateTime and DateTime::Duration
objects. Recurrences are note yet supported.
Comment 1 Jason Tibbitts 2008-08-16 10:42:13 EDT
Not much to say, really.

* source files match upstream:
   2077c9a420e3c0659b61298bff4ede1269120cf690bfeb35f49f6e6c6be8ee43  
   DateTime-Format-DateManip-0.04.tar.gz
* package meets naming and versioning guidelines.
* specfile is properly named, is cleanly written and uses macros consistently.
* summary is OK.
* description is OK.
* dist tag is present.
* build root is OK.
* license field matches the actual license.
* license is open source-compatible.
* license text included in package.
* latest version is being packaged.
* BuildRequires are proper.
* %clean is present.
* package builds in mock (rawhide, x86_64).
* package installs properly.
* rpmlint is silent.
* final provides and requires are sane:
   perl(DateTime::Format::DateManip) = 0.04
   perl-DateTime-Format-DateManip = 0.04-1.fc10
  =
   perl(:MODULE_COMPAT_5.10.0)
   perl(Carp)
   perl(Date::Manip)
   perl(DateTime)
   perl(DateTime::Duration)
   perl(bytes)
   perl(strict)
   perl(vars)

* %check is present and all tests pass:
   All tests successful.
   Files=2, Tests=7,  0 wallclock secs ( 0.01 usr  0.01 sys +  0.35 cusr  0.02 
    csys =  0.39 CPU)

* owns the directories it creates.
* doesn't own any directories it shouldn't.
* no duplicates in %files.
* file permissions are appropriate.
* no scriptlets present.
* code, not content.
* documentation is small, so no -doc subpackage is necessary.
* %docs are not necessary for the proper functioning of the package.

APPROVED
Comment 2 Chris Weyl 2008-08-16 12:58:53 EDT
New Package CVS Request
=======================
Package Name: perl-DateTime-Format-DateManip
Short Description: Convert Date::Manip to DateTime and vice versa
Owners: cweyl
Branches: F-8, F-9, devel
InitialCC: perl-sig
Comment 3 Kevin Fenzi 2008-08-23 14:06:15 EDT
cvs done.
Comment 4 Chris Weyl 2008-08-24 16:23:52 EDT
Imported and building.   Thanks for the review! :-)

Note You need to log in before you can comment on or make changes to this bug.